// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2018 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
namespace Hiperscan.Extensions.ApoIdent
{
    public partial class BlindClassificationDialog : ITopLevelWindow
    {
        public void UpdateFinderStartButton()
        {
            this.UpdateGui(BLindClassificationState.DevicePollFinderButton);
        }

        public Gtk.Window GtkWindow
        {
            get
            {
                return this.blind_classfication_dialog;
            }
        }

        private volatile bool busy = false;
        public bool Busy
        {
            get
            {
                return this.busy;
            }

            private set
            {
                this.busy = value;
                this.SetBusyState();
            }
        }

        public bool SubstanceManagmentReady
        {
            get
            {
                return true;
            }
        }

        public bool ClassifierIsFluid
        {
            get
            {
                return this.sample_type_combobox.Active == 1;
            }
        }

        public Gtk.Button StartButton
        {
            get
            {
                return this.measurement_button;
            }
        }

        public void UpdateDeviceAfterExternalCalibration()
        {
            this.UpdateGui(BLindClassificationState.DeviceAfterExternalCalibration);
        }

        public void UpdateDeviceAfterInternalCalibration()
        {
            this.UpdateGui(BLindClassificationState.DeviceAfterInternalCalibration);           
        }

        public void UpdateExternalCalibrationStarted()
        {
        }

        public void UpdateFinderInternalCalibrationStarted()
        {
        }
    }
}
